// To parse this JSON data, do
//
//     final landSubClassification = landSubClassificationFromJson(jsonString);

import 'dart:convert';

LandSubClassification landSubClassificationFromJson(String str) =>
    LandSubClassification.fromJson(json.decode(str));

String landSubClassificationToJson(LandSubClassification data) =>
    json.encode(data.toJson());

class LandSubClassification {
  final int? id;
  final int? classificationId;
  final String? cityCode;
  final String? subclassCode;
  final String? subclassDescription;
  final String? baseUnitMarketval;

  LandSubClassification({
    this.id,
    this.classificationId,
    this.cityCode,
    this.subclassCode,
    this.subclassDescription,
    this.baseUnitMarketval,
  });

  factory LandSubClassification.fromJson(Map<String, dynamic> json) =>
      LandSubClassification(
        id: json["id"],
        classificationId: json["classification_id"],
        cityCode: json["city_code"],
        subclassCode: json["subclass_code"],
        subclassDescription: json["subclass_description"],
        baseUnitMarketval: json["base_unit_marketval"],
      );

  Map<String, dynamic> toJson() => {
        "id": id,
        "classification_id": classificationId,
        "city_code": cityCode,
        "subclass_code": subclassCode,
        "subclass_description": subclassDescription,
        "base_unit_marketval": baseUnitMarketval,
      };
}
